iotoms Docs

List carts

GET
/api/v1/transaction/cart

Returns all carts. Set includeItems=true to include each cart's line items. The response is the bare object, without the standard {status, message, data} envelope.

Authorization

BearerAuth
headerAuthorizationBearer <JWT>

Query Parameters

includeItems?boolean

true to include each cart's line items; false (default) returns cart headers and totals only.

Defaultfalse

Response Body

OK

*/*
  1. response
[index: integer]?
Example Request
curl -X GET 'https://beta.iotoms.com/api/v1/transaction/cart'
Example Response
[  {    "cartId": "string",    "cartName": "string",    "customerNumber": "string",    "mobileNumber": "string",    "date": 0,    "email": "string",    "status": "Active",    "orderId": "string",    "modifiedDate": 0,    "notes": "string",    "source": "string",    "pin": 0,    "type": "string",    "registerId": 0,    "paymentStatus": "Paid",    "items": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "itemId": "string",        "uomId": "4df47f00-a69d-4ff2-b50d-4a7649a4b70c",        "description": "string",        "quantity": 0,        "unitPrice": 0,        "discountAmount": 0,        "taxAmount": 0,        "totalAmount": 0,        "currencyCode": "string",        "status": "Pending",        "metadata": {          "property1": {},          "property2": {}        },        "unitPriceCents": 0,        "discountAmountCents": 0,        "taxAmountCents": 0,        "totalAmountCents": 0      }    ],    "subtotal": 0,    "taxTotal": 0,    "discountTotal": 0,    "grandTotal": 0,    "subtotalCents": 0,    "taxTotalCents": 0,    "discountTotalCents": 0,    "grandTotalCents": 0  }]